Bug 592559 - asm's jar containing debuggable code (asm-debug-all) is not provided
asm's jar containing debuggable code (asm-debug-all) is not provided
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: objectweb-asm (Show other bugs)
12
All Linux
low Severity high
: ---
: ---
Assigned To: Fernando Nasser
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-15 07:50 EDT by Marcin Rzeźnicki
Modified: 2010-12-03 09:41 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 09:41:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marcin Rzeźnicki 2010-05-15 07:50:44 EDT
Description of problem:

Asm jars in Fedora build are stripped of debugging information and compressed using asm's own utility. That effectively hinders the ability to debug asm code, browse their code using IDE etc. Asm maintainers has provided so called "debug" target which is not compressed and is built with full debug information on. Resulting jar, asm-debug, is part of standard asm package and is included in asm  downloads. All jars in Fedora are built with this "obfuscation", which is how asm is built originally, yet asm provides also debug library, missing in Fedora. Please note that I am not talking about merely building jars with java debug info turned on - asm _compresses_ their jars as a post-processing step which makes all code browsing tools, debuggers etc. useless if asm-debug is not present. 

Version-Release number of selected component (if applicable):

3.2


Additional info:
Comment 1 Marcin Rzeźnicki 2010-07-18 21:43:43 EDT
Really good job, everyone. Keep it up. See you in next, let's say, two months, all right? :-(
Comment 2 Bug Zapper 2010-11-03 10:51:13 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-12-03 09:41:35 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.